ObserverMethod
Date: 2015-09-11

javax.enterprise.inject.spi

## Interface ObserverMethod<T>

- Type Parameters:
    `T` - the event type

      public interface ObserverMethod<T>

  Represents an observer method of an enabled bean. Defines everything the container needs to know about an observer method.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getBeanClass()` Obtains the bean class of the bean that declares the observer method.
    `java.util.Set<java.lang.annotation.Annotation>` | `getObservedQualifiers()` Obtains the set of observed event qualifiers.
    `java.lang.reflect.Type` | `getObservedType()` Obtains the observed event type.
    `Reception` | `getReception()` Obtains the specified `Reception` for the observer method.
    `TransactionPhase` | `getTransactionPhase()` Obtains the specified `TransactionPhase` for the observer method.
    `void` | `notify(T event)` Calls the observer method, passing the given event object.

- - ### Method Detail

    - #### getBeanClass

          java.lang.Class<?> getBeanClass()

      Obtains the bean class of the bean that declares the observer method.
      Returns:
        the defining class

    - #### getObservedType

          java.lang.reflect.Type getObservedType()

      Obtains the observed event type.
      Returns:
        the observed event type

    - #### getObservedQualifiers

          java.util.Set<java.lang.annotation.Annotation> getObservedQualifiers()

      Obtains the set of observed event qualifiers.
      Returns:
        the observed event qualifiers

    - #### getReception

          Reception getReception()

      Obtains the specified `Reception` for the observer method. This indicates if the observer is conditional or not.
      Returns:
        the `Reception`

    - #### getTransactionPhase

          TransactionPhase getTransactionPhase()

      Obtains the specified `TransactionPhase` for the observer method.
      Returns:
        the `TransactionPhase`

    - #### notify

          void notify(T event)

      Calls the observer method, passing the given event object.
      Parameters:
        `event` - the event object